Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.model.hdftypes
Class PropertyNode

    java.lang.Object
      org.apache.poi.hdf.model.hdftypes.PropertyNode

All Implemented Interfaces:
  java.lang.Comparable

Direct Known Subclasses:
  ChpxNode, PapxNode, SepxNode, TextPiece

public class PropertyNode
extends java.lang.Object
implements java.lang.Comparable

Represents a lightweight node in the Trees used to store formatting properties.

Author:
  Ryan Ackley

Constructor Summary
`PropertyNode(int fcStart, int fcEnd, byte[] grpprl)`

Method Summary
`int` | `compareTo(java.lang.Object o)` Used for sorting in collections.
`int` | `getEnd()`
`protected byte[]` | `getGrpprl()`
`int` | `getStart()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyNode

    public PropertyNode(int fcStart,
                        int fcEnd,
                        byte[] grpprl)

Parameters:
  `fcStart` - The start of the text for this property.
  `fcEnd` - The end of the text for this property.
  `grpprl` - The property description in compressed form.

Method Detail

### getStart

    public int getStart()

  Returns:
    The offset of this property's text.

### getEnd

    public int getEnd()

### getGrpprl

    protected byte[] getGrpprl()

  Returns:
    This property's property in copmpressed form.

### compareTo

    public int compareTo(java.lang.Object o)

  Used for sorting in collections.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.